<?php 
//incluir la conexion de base de datos
require "../config/Conexion.php";
class Pagocliente{


	//implementamos nuestro constructor
public function __construct(){

}


/*bade de datos
idpagocliente,  idcliente, idformapago, idusuario, idtipopagos, idbancocuenta, 
referencia, fecha_hora, total_pago, retencion, estado

insertar($idpersona,$idformapago,$idusuario,$idtipopagos,$idbancocuenta,$referencia,$fecha_hora,
		$total_pago,$agenteretencion,		
		$_POST["iddocumento"], $_POST["num_comprobante"], $_POST["tipo_comprobante"], $_POST["montod"], $_POST["abono"],
		$_POST["pendiente"], $_POST["estado"], $_POST["pago"])
*/
//metodo insertar regiustro
public function insertar($idpersona,$idformapago,$idusuario,$idtipopagos,$idbancocuenta,$referencia,$fecha_hora,
$total_pago,$total_pagob,$tasacambioventa,$agenteretencion,$iddocumento, $num_comprobante, $tipo_comprobante, $montod,$montodd, $abono,$pendiente, $estado, $idventa){
	$sql="INSERT INTO cobros (idcliente,idformapago,idusuario,idtipopagos,idbancocuenta,referencia,fecha_hora,
	total_pago,total_pagob,tasacambioventa,retencion,estado) 
	VALUES ('$idpersona','$idformapago','$idusuario','$idtipopagos','$idbancocuenta','$referencia','$fecha_hora','$total_pago','$total_pagob','$tasacambioventa','no','Pago')";
	echo $sql;
	$sw				=	true;
	$idpagosnew		=	ejecutarConsulta_retornarID($sql) or $sw=false;
	$num_elementos	=	0;
	/* echo ' Numero de elemento : '.count($num_comprobante);
	echo ' Estado : '.$estado[$num_elementos];
	echo ' num_comprobante : '.$num_comprobante[1]; */
	//Pagada, Parcial, Pendiente estado de los documentos
	while ($num_elementos < count($num_comprobante)) {
		//Se agrega el detalle de la compra
		if (($estado[$num_elementos]=='Pagada')||($estado[$num_elementos]=='Parcial')) {
			if (($estado[$num_elementos]=='Pagada')){
				$sql_detalle = "INSERT INTO detalle_cobros (idcobrocliente, iddocumento, num_comprobante, tipo_comprobante, montod, montob,abono, pendiente, estado)
				VALUES('$idpagosnew','$idventa[$num_elementos]','$num_comprobante[$num_elementos]','$tipo_comprobante[$num_elementos]','$montodd[$num_elementos]','$montod[$num_elementos]','$abono[$num_elementos]','$pendiente[$num_elementos]','Pago')";
				echo $sql_detalle;
				ejecutarConsulta($sql_detalle) or $sw=false;
				//Ahora actualizamos la factura
				if ($sw){
					$sql_update = "UPDATE venta SET montopendiente=$pendiente[$num_elementos]*tasa_dollar, estado='$estado[$num_elementos]' 
					WHERE idventa='$idventa[$num_elementos]'";
					echo $sql_update;
					ejecutarConsulta($sql_update) or $sw=false;
				}
			}else{
				if (($estado[$num_elementos]=='Parcial')and($abono[$num_elementos]>0)){
					$sql_detalle = "INSERT INTO detalle_cobros (idcobrocliente, iddocumento, num_comprobante, tipo_comprobante, montod, montob,abono, pendiente, estado)
					VALUES('$idpagosnew','$idventa[$num_elementos]','$num_comprobante[$num_elementos]','$tipo_comprobante[$num_elementos]','$montodd[$num_elementos]','$montod[$num_elementos]','$abono[$num_elementos]','$pendiente[$num_elementos]','Pago')";
					echo $sql_detalle;
					ejecutarConsulta($sql_detalle) or $sw=false;
					//Ahora actualizamos la factura
					if ($sw){
						$sql_update = "UPDATE venta SET montopendiente=$pendiente[$num_elementos]*tasa_dollar, estado='$estado[$num_elementos]' 
						WHERE idventa='$idventa[$num_elementos]'";
						echo $sql_update;
						ejecutarConsulta($sql_update) or $sw=false;
					}
				}
			}
		}
		$num_elementos=$num_elementos+1;
	 }
	 //Ahora actualizamos banco
	 if ($sw){
		$sql_banco = "INSERT INTO detalle_movimientobanco (idbancocuenta, idmovimiento, tipo_movimiento, montod, estado) 
		VALUES('$idbancocuenta','$idpagosnew','Cobro','$total_pago','Cobro')";
		echo $sql_banco;
		ejecutarConsulta($sql_banco) or $sw=false;
	 }
	 return $sw;
}



public function editar($idpersona,$tipo_persona,$nombre,$tipo_documento,$num_documento,$direccion,$telefono,$email){
	$sql="UPDATE persona SET tipo_persona='$tipo_persona', nombre='$nombre',tipo_documento='$tipo_documento',num_documento='$num_documento',direccion='$direccion',telefono='$telefono',email='$email' 
	WHERE idpersona='$idpersona'";
	return ejecutarConsulta($sql);
}
//funcion para eliminar datos
public function eliminar($idpersona){
	$sql="DELETE FROM persona WHERE idpersona='$idpersona'";
	return ejecutarConsulta($sql);
}

//metodo para mostrar registros
public function mostrar($idpersona){
	$sql="SELECT * FROM persona WHERE idpersona='$idpersona'";
	return ejecutarConsultaSimpleFila($sql);
}

//listar registros
public function listarp(){
	$sql="SELECT * FROM persona WHERE tipo_persona='Proveedor'";
	return ejecutarConsulta($sql);
}
public function listar(){
	$sql="SELECT * FROM persona WHERE tipo_persona='Cliente'";
	return ejecutarConsulta($sql);
}
}

 ?>
